import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { useState } from "react";
import Editor, { examples } from "./Editor";
import Annotator from "../Annotator";
import ErrorBoundaryDialog from "./ErrorBoundaryDialog.js";
import { Box } from "@mui/material";
export default (function () {
  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      annotatorOpen = _useState2[0],
      changeAnnotatorOpen = _useState2[1];

  var _useState3 = useState(examples["Custom"]()),
      _useState4 = _slicedToArray(_useState3, 2),
      annotatorProps = _useState4[0],
      changeAnnotatorProps = _useState4[1]; // eslint-disable-next-line


  var _useState5 = useState(),
      _useState6 = _slicedToArray(_useState5, 2),
      lastOutput = _useState6[0],
      changeLastOutput = _useState6[1];

  return React.createElement("div", null, annotatorOpen ? React.createElement(ErrorBoundaryDialog, {
    onClose: function onClose() {
      changeAnnotatorOpen(false);
    }
  }, React.createElement(Box, {
    sx: {
      m: "30px"
    }
  }, React.createElement(Annotator, Object.assign({
    firebaseConfig: {
      apiKey: "AIzaSyAIJTZkss30jkGxuNJP6vww-abilyU4F_M",
      authDomain: "co-one-app-dev-44eaa.firebaseapp.com",
      projectId: "co-one-app-dev-44eaa",
      storageBucket: "co-one-app-dev-44eaa.appspot.com",
      messagingSenderId: "124960453415",
      appId: "1:124960453415:web:dd70b312a279708b0e2f02"
    }
  }, annotatorProps, {
    // onNext={() => console.log("next")}
    // onPrev={() => console.log("prev")}
    onExit: function onExit(output) {
      console.log(output); // delete (output: any)["lastAction"]
      // changeLastOutput(output)
      // changeAnnotatorOpen(false)
    },
    onUploadImage: function onUploadImage() {
      console.log("Image Upload Clicked");
    } // onChangeLabels={(labels) => {
    //   console.log(labels)
    // }}
    // headerButtons={[
    //   <IconButton>
    //     <AcUnitIcon />
    //   </IconButton>,
    //   <IconButton>
    //     <AcUnitIcon />
    //   </IconButton>,
    // ]}

  })))) : React.createElement(Editor, {
    lastOutput: lastOutput,
    onOpenAnnotator: function onOpenAnnotator(props) {
      changeAnnotatorProps(props);
      changeAnnotatorOpen(true);
    }
  }));
});